curl --request POST \
--url https://api.reply.io/v3/schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Evening outreach",
"timezoneId": "Europe/London",
"excludeHolidays": false,
"useProspectTimezone": true,
"useFollowUpSchedule": false,
"mainTimings": [
{
"weekDay": "Monday",
"isActive": true,
"timeRanges": [
{
"fromTime": {
"hour": 18,
"minute": 0
},
"toTime": {
"hour": 21,
"minute": 0
}
}
]
}
],
"followUpTimings": []
}
'import requests
url = "https://api.reply.io/v3/schedules"
payload = {
"name": "Evening outreach",
"timezoneId": "Europe/London",
"excludeHolidays": False,
"useProspectTimezone": True,
"useFollowUpSchedule": False,
"mainTimings": [
{
"weekDay": "Monday",
"isActive": True,
"timeRanges": [
{
"fromTime": {
"hour": 18,
"minute": 0
},
"toTime": {
"hour": 21,
"minute": 0
}
}
]
}
],
"followUpTimings": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Evening outreach',
timezoneId: 'Europe/London',
excludeHolidays: false,
useProspectTimezone: true,
useFollowUpSchedule: false,
mainTimings: [
{
weekDay: 'Monday',
isActive: true,
timeRanges: [{fromTime: {hour: 18, minute: 0}, toTime: {hour: 21, minute: 0}}]
}
],
followUpTimings: []
})
};
fetch('https://api.reply.io/v3/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Business hours",
"timezoneId": "America/New_York",
"excludeHolidays": true,
"useProspectTimezone": false,
"useFollowUpSchedule": false,
"mainTimings": [
{
"weekDay": "Monday",
"isActive": true,
"timeRanges": [
{
"fromTime": {
"hour": 9,
"minute": 0
},
"toTime": {
"hour": 17,
"minute": 0
}
}
]
}
],
"followUpTimings": [],
"isDefault": true,
"status": "active"
}{
"title": "Validation failed",
"status": 400,
"detail": "The request body contains validation errors.",
"errors": [
{
"pointer": "/name",
"detail": "'Name' must not be empty."
}
]
}{
"title": "Unauthorized",
"status": 401,
"detail": "Authentication credentials are missing or invalid."
}{
"title": "Forbidden",
"status": 403,
"detail": "Feature scopes [ManageScheduler] are denied for userId 123",
"code": "schedule.forbidden"
}{
"title": "Conflict",
"status": 409,
"detail": "Scheduler with name 'My Schedule' already exists",
"code": "schedule.duplicateName"
}{
"title": "Too Many Requests",
"status": 429,
"detail": "Rate limit exceeded. Retry after 60 seconds."
}Create a schedule
sequences:write scope (or a broader one that includes it).
Creates a new schedule with timing configuration.
Authorizations
Authenticate every request with a Bearer token. Pass your Reply API key in the
Authorization header:
Authorization: Bearer <your-api-key>Get your API key from the Reply dashboard: Settings → API Key.
Body
Request body for creating a new schedule.
Name of the schedule
IANA timezone identifier (e.g., "America/New_York")
Whether to skip sending on holidays from linked calendars
Whether to use the prospect's timezone instead of the schedule timezone
Whether a separate follow-up schedule is enabled
Primary schedule timings for each day of the week
Show child attributes
Show child attributes
Follow-up schedule timings (used when useFollowUpSchedule is true)
Show child attributes
Show child attributes
Response
Schedule created successfully
Full representation of a schedule with timing configuration.
Unique identifier for the schedule
Name of the schedule
IANA timezone identifier (e.g., "America/New_York")
Whether to skip sending on holidays from linked calendars
Whether to use the prospect's timezone instead of the schedule timezone
Whether a separate follow-up schedule is enabled
Primary schedule timings for each day of the week
Show child attributes
Show child attributes
Follow-up schedule timings (used when useFollowUpSchedule is true)
Show child attributes
Show child attributes
Whether this is the default schedule
Current status of the schedule